﻿
@using BenhVien.UI.Models;
@model IEnumerable<DangKyKhamBenh>
@{
    /**/
    UserInfo nd_dv = (UserInfo)Session["NguoiDung"];
    int stt = 0;

}
@if (Model != null && Model.Count() > 0)
{
    foreach (var item in Model)
    {
        <tr>
            <td class="text-center">@(++stt)</td>
            <td class="text-center">
                <span class="">@item.KhamBenh.MaSoKhamBenh</span>
            </td>
            <td class="text-center">
                <span class="">@item.NguoiDung.HoTen</span>
            </td>
            <td class="text-center">
                <span class="red">@item.KhamBenh.STT</span>
            </td>
            <td class="text-center">
                <span class="">@item.NguoiDung.SDT</span>
            </td>
            <td class="text-center">
                <span data-id="@item.KhamBenh.Id" onclick="CapNhatBHYT($(this))" style="cursor: pointer" title="Áp dụng bảo hiểm y tế">
                    <i class="fa @(item.KhamBenh.ApDungBHYT == EnumStatus.ACTIVE? "fa-unlock":"fa-lock")" style="font-size:22px;"></i>
                </span>
            </td>
            <td class="text-center">
                <span class="">@(EnumKieuKhamBenh.ToString(item.KhamBenh.KieuKhamBenh))</span>
            </td>
            <td class="text-center">
                <span class="red">
                    @(EnumTrangThaiKhamBenh.ToString(item.KhamBenh.TrangThaiID))
                </span>
            </td>
           
            <td class="text-center clickable-td">
                <div class="dropdown">
                    <button class="btn btn-xs btn-primary dropdown-toggle" type="button" data-toggle="dropdown" style="width:160px;">
                        Thao tác
                        <span class="caret"></span>
                    </button>
                    <ul class="dropdown-menu">
                        <li>
                            <a class="btn btn-xs btn-success" style="cursor:pointer;padding-right:10px;"  href="@Url.Action("Update","KhamBenh", new { area = "QuanTri", id = item.KhamBenh.Id})"><i class="fa fa-pencil-square-o"></i> Khám bệnh</a>
                        </li>
                        <li>
                            <a class="btn btn-xs btn-info" style="cursor:pointer;padding-right:10px;" data-id="@item.KhamBenh.Id" onclick="SelectNguoiDung($(this))"><i class="fa fa-pencil-square-o"></i>Chỉnh sửa thông tin</a>
                        </li>

                        <li>
                            <a class="btn btn-xs btn-danger" data-id="@item.KhamBenh.Id" onclick="Xoa($(this))"><i class="fa fa-trash"></i> Xóa</a>
                        </li>
                    </ul>
                </div>

            </td>
        </tr>

    }
}
<script>
    $('#idsotrang').val('@ViewBag.sotrang');
    document.getElementById("idtongsotrang").innerHTML = '@ViewBag.tongsotrang';
    document.getElementById("idtongso").innerHTML = '(' + '@ViewBag.tongso' + ')';
    $(".clickable-td").on("click", function (e) {
        //e.stopPropagation();
        $(".dropdown-toggle").dropdown();
    });
    function SelectNguoiDung(obj) {
        var id = obj.attr("data-id");
        $.ajax({
            url: '@Url.Action("BenhNhan_Update", "KhamBenh", new { area = "QuanTri" })',
            type: 'GET',
            data: { id: id },
            success: function (data) {
                $('#modal-qltaikhoan').html(data);
                $('#modal-qltaikhoan').modal('show');
                $.ajax({
                    url: '@Url.Action("BenhNhan_Update", "KhamBenh", new { area = "QuanTri" })',
                    type: 'GET',
                    data: { id: id },
                    success: function (data) {
                        $('#modal-qltaikhoan').html(data);
                        $('#modal-qltaikhoan').modal('show');

                    }
                });
            }
        });
    }
</script>

